RECAPTOOL(8)

NAME

recaptool - parses the logs and prints specific information about memory, processes, network connections or queries to a mysql db.

SYNOPSIS
recaptool OPTIONS...

DESCRIPTION
recaptool is a parsing tool for recap logs that shows specific information like processes, memory, network or querycount. Useful for seeing trends on a particular option in the logs.

OPTIONS
Note: Different options can be combined to get more information.

-m, --mem PROCESS_NAME
    Shows the memory consumption for PROCESS_NAME from the logs.

-p, --proc PROCESS_NAME
    Shows the amount of processes found for PROCESS_NAME from the logs.

-b, --memproc PROCESS_NAME
    Shows both process count and memory consumption for PROCESS_NAME from the logs.

-c, --connections PORT
    Shows the amount of connections to PORT from the logs.

-e, --established PORT
    Shows the amount of ESTABLISHED connections to PORT from the logs.

-q, --querycount
    Shows the amount of mysql connections from the logs.

-d, --path PATH
    Overrides the recap log PATH. Default uses BASEDIR /var/log/recap/ (can be changed in config file).

-V, --version
    Print version and exit.

-h, --help
    Prints the help information and exit.

FILES
/var/log/recap/*.log (unless overridden by 'path' option)

EXAMPLES

Show the memory and amount of processes running for httpd:
    $ sudo recaptool --memproc http
    Information: Using /var/log/recap as recap log path
    Information: Executing memproc http
    2016-10-07_00:00:01     1101    3032.535 M
    2016-10-07_00:10:01     1120    3132.832 M
    2016-10-07_00:20:01     1128    3186.153 M

Show the amount of established connections on port 443:
    $ sudo recaptool -e 443
    Information: Using /var/log/recap as recap log path
    Information: Executing established 443
    2016-10-07_00:00:01     302
    2016-10-07_00:10:01     311
    2016-10-07_00:20:01     312

Show the amount of query connections to the mysql db:
    $ sudo recaptool --querycount
    Information: Using /var/log/recap as recap log path
    Information: Executing querycount
    2016-10-07_00:00:01     124
    2016-10-07_00:10:01     125
    2016-10-07_00:20:01     128

Show all of the above in a single command:
    $ sudo recaptool --memproc http -e 443 --querycount
    Information: Using /var/log/recap as recap log path
    Information: Executing memproc http
    2016-10-07_00:00:01     1101    3032.535 M
    2016-10-07_00:10:01     1120    3132.832 M
    2016-10-07_00:20:01     1128    3186.153 M

    Information: Executing established 443
    2016-10-07_00:00:01     302
    2016-10-07_00:10:01     311
    2016-10-07_00:20:01     312

    Information: Executing querycount
    2016-10-07_00:00:01     124
    2016-10-07_00:10:01     125
    2016-10-07_00:20:01     128

REPORTING BUGS
Bugs and issues to be submitted via github <https://github.com/rackerlabs/recap/issues>.

AUTHOR
The recap scripts are maintained by Rackspace, the list of contributors is available at https://github.com/rackerlabs/recap/blob/master/CHANGELOG.md#contributors.

SEE ALSO
recap.conf(5), recap(8),